com.independentsoft.exchange

## Class PostPropertyPath

- java.lang.Object
- - com.independentsoft.exchange.ItemPropertyPath
  - - com.independentsoft.exchange.PostPropertyPath

-     public class PostPropertyPath
      extends ItemPropertyPath

  The Class PostPropertyPath.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static UnindexedPropertyPath` | `CONVERSATION_INDEX`
    `static UnindexedPropertyPath` | `CONVERSATION_TOPIC`
    `static UnindexedPropertyPath` | `FROM`
    `static UnindexedPropertyPath` | `INTERNET_MESSAGE_ID`
    `static UnindexedPropertyPath` | `IS_READ`
    `static UnindexedPropertyPath` | `POSTED_TIME`
    `static UnindexedPropertyPath` | `REFERENCES`
    `static UnindexedPropertyPath` | `SENDER`

    - ### Fields inherited from class com.independentsoft.exchange.ItemPropertyPath

      `ARCHIVE_TAG, ATTACHMENTS, BLOCK_STATUS, BODY, BODY_HTML_TEXT, BODY_PLAIN_TEXT, CATEGORIES, COMMENT, CONVERSATION_ID, CREATED_TIME, CULTURE, DISPLAY_NAME, EFFECTIVE_RIGHTS, ENTITY_EXTRACTION_RESULT, ENTRY_ID, FLAG, GROUPING_ACTION, HAS_ATTACHMENTS, HAS_BLOCKED_IMAGES, ICON_INDEX, IMPORTANCE, INSTANCE_KEY, IS_ASSOCIATED, IS_HIDDEN, ITEM_CLASS, ITEM_ID, LAST_MODIFIED_TIME, LAST_MODIFIER_NAME, MIME_CONTENT, NEXT_PREDICTED_ACTION, PARENT_ID, PREVIEW, REMINDER_DUE_BY, REMINDER_IS_SET, REMINDER_MINUTES_BEFORE_START, RETENTION_DATE, RETENTION_TAG, SEARCH_KEY, SENSITIVITY, SIZE, STORE_ENTRY_ID, SUBJECT, TEXT_BODY, UNIQUE_BODY, WEB_CLIENT_EDIT_FORM_QUERY_STRING, WEB_CLIENT_READ_FORM_QUERY_STRING`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.util.List<PropertyPath>` | `getAllPropertyPaths()` Gets the all property paths.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CONVERSATION_INDEX

          public static final UnindexedPropertyPath CONVERSATION_INDEX

    - #### CONVERSATION_TOPIC

          public static final UnindexedPropertyPath CONVERSATION_TOPIC

    - #### FROM

          public static final UnindexedPropertyPath FROM

    - #### INTERNET_MESSAGE_ID

          public static final UnindexedPropertyPath INTERNET_MESSAGE_ID

    - #### IS_READ

          public static final UnindexedPropertyPath IS_READ

    - #### POSTED_TIME

          public static final UnindexedPropertyPath POSTED_TIME

    - #### REFERENCES

          public static final UnindexedPropertyPath REFERENCES

    - #### SENDER

          public static final UnindexedPropertyPath SENDER

  - ### Method Detail

    - #### getAllPropertyPaths

          public static java.util.List<PropertyPath> getAllPropertyPaths()

      Gets the all property paths.
      Returns:
        the all property paths